package com.sas.vulnerabilities.model;

public class PatchedVulnerability {

	private String originalFileBackup;
	private String affectedFilePath;
	private String originalChecksum;
	private String patchedChecksum;
	private boolean reverted;

	public PatchedVulnerability() {
	}

	public String getOriginalFileBackup() {
		return originalFileBackup;
	}

	public void setOriginalFileBackup(String originalFileBackup) {
		this.originalFileBackup = originalFileBackup;
	}

	public String getAffectedFilePath() {
		return affectedFilePath;
	}

	public void setAffectedFilePath(String affectedFilePath) {
		this.affectedFilePath = affectedFilePath;
	}

	public String getOriginalChecksum() {
		return originalChecksum;
	}

	public void setOriginalChecksum(String originalChecksum) {
		this.originalChecksum = originalChecksum;
	}

	public String getPatchedChecksum() {
		return patchedChecksum;
	}

	public void setPatchedChecksum(String patchedChecksum) {
		this.patchedChecksum = patchedChecksum;
	}

	public boolean isReverted() {
		return reverted;
	}

	public void setReverted(boolean reverted) {
		this.reverted = reverted;
	}

	public static PatchedVulnerability fromCsvRow(String[] csvRow) {
		PatchedVulnerability v = new PatchedVulnerability();

		if (csvRow.length > 0) {
			v.setOriginalFileBackup(csvRow[0]);
		}
		if (csvRow.length > 1) {
			v.setAffectedFilePath(csvRow[1]);
		}
		if (csvRow.length > 2) {
			v.setOriginalChecksum(csvRow[2]);
		}
		if (csvRow.length > 3) {
			v.setPatchedChecksum(csvRow[3]);
		}

		return v;
	}

}
